<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>parent_message_box</ion-title>
  </ion-toolbar>
</ion-header>


<ion-content fullscreen>
  <ion-list *ngIf="NoShowMsg">
    <ion-refresher (ionRefresh)="doRefresh($event)">
      <ion-refresher-content>
        Pull to refresh
      </ion-refresher-content>
    </ion-refresher>
  
    <ion-list>
      <ion-item *ngFor="let Msg of MsgContent" (click)="ShowMessage(Msg.Id)">
        <ion-avatar slot="start" *ngIf="!!Msg.Type && Msg.Type !== 'NONE'">
          <ion-img [src]="getAvatarImage(Msg.Type)"></ion-img>
        </ion-avatar>
        <ion-avatar slot="start" *ngIf="!Msg.Type || Msg.Type === 'NONE'">
          <ion-img src="assets/imgs/code.png"></ion-img>
        </ion-avatar>
  
        <ion-label [ngClass]="{'text-success': shouldHighlight(Msg)}">
          {{ Msg.Contents }}
          <span [ngStyle]="{'color': 'red'}" *ngIf="shouldHighlight(Msg)">(New)</span>
          {{ Msg.CreatedOn }}
        </ion-label>
      </ion-item>
    </ion-list>
  
    <ion-list *ngIf="flag">
      <ion-item (click)="LoadMessages()">
        Load more messages
      </ion-item>
      <ion-item>
        End of messages
      </ion-item>
    </ion-list>
  </ion-list>
  

  <ion-list *ngIf="ShowMsg">
    <ion-card>
      <ion-card-header>
        <ion-item button (click)="back()">
          <ion-icon name="arrow-dropleft-circle" slot="start"></ion-icon>
          <ion-badge>Message Details</ion-badge>
        </ion-item>
      </ion-card-header>

      <ion-card-content>
        <ion-card-title>
          {{ MessageShowContent.Contents }}
        </ion-card-title>
        

        <ion-item *ngIf="MessageShowContent.Type === 'OPTION'">
          <ion-label>Choose an option:</ion-label>
          <ion-radio-group [(ngModel)]="MessageShowContent.Response">
            <ion-row *ngFor="let opt of MessageShowContent.Options">
              <ion-col size="auto">
                <ion-label>{{ opt.OptionValue }}</ion-label>
              </ion-col>
              <ion-col size="auto">
                <ion-radio [value]="opt.OptionValue"></ion-radio>
              </ion-col>
            </ion-row>
          </ion-radio-group>
        </ion-item>
        
        <ion-item *ngIf="MessageShowContent.Type === 'BOOLEAN'">
          <ion-label>Choose an option:</ion-label>
          <ion-radio-group [(ngModel)]="MessageShowContent.Response" [disabled]="MessageShowContent.disabled">
            <ion-row>
              <ion-col size="auto">
                <ion-label>Yes</ion-label>
              </ion-col>
              <ion-col size="auto">
                <ion-radio value="Yes"></ion-radio>
              </ion-col>
            </ion-row>
            <ion-row>
              <ion-col size="auto">
                <ion-label>No</ion-label>
              </ion-col>
              <ion-col size="auto">
                <ion-radio value="No"></ion-radio>
              </ion-col>
            </ion-row>
          </ion-radio-group>
        </ion-item>
        
        
        <ion-item *ngIf="MessageShowContent.Type === 'STRING'">
          <ion-label>Response:</ion-label>
          <ion-textarea [(ngModel)]="MessageShowContent.Response"></ion-textarea>
        </ion-item>
        
        <ion-item *ngIf="MessageShowContent.Type === 'INTEGER'">
          <ion-label>Response:</ion-label>
          <ion-input type="number" min="0" [(ngModel)]="MessageShowContent.Response"></ion-input>
        </ion-item>
        

        <ion-item *ngIf="MessageShowContent.Type !== 'NONE'">
          <ion-button expand="full" (click)="submitResponse()" [disabled]="MessageShowContent.disabled">
            Submit Response
          </ion-button>
        </ion-item>
        
      </ion-card-content>
    </ion-card>
  </ion-list>
</ion-content>
